Don't let root save data: oneconf-query crashed with IOError in update(): [Errno 13] Permission denied: u'/home/danizmax/.cache/oneconf/583076aca003d434d603aa8000000008/package_list_583076aca003d434d603aa8000000008'

Bug #834458 reported by danizmax on 2011-08-26
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
oneconf (Ubuntu)
Low
Didier Roche

Bug Description

Random error

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: oneconf 0.2.5
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic-pae 3.0.3
Uname: Linux 3.0.0-9-generic-pae i686
Architecture: i386
Date: Fri Aug 26 09:21:17 2011
ExecutablePath: /usr/share/oneconf/oneconf-query
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110302)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/oneconf-query --update
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/oneconf-query', '--update']
SourcePackage: oneconf
Title: oneconf-query crashed with IOError in update(): [Errno 13] Permission denied: u'/home/danizmax/.cache/oneconf/583076aca003d434d603aa8000000008/package_list_583076aca003d434d603aa8000000008'
UpgradeStatus: Upgraded to oneiric on 2011-08-10 (15 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

danizmax (danizmax) wrote :
tags: removed: need-duplicate-check
Didier Roche (didrocks) wrote :

Thanks for reporting this bug and help to make ubuntu better, it seems your home directory is not writable for oneconf, do you run update-notifier under another user than your current one? is /home/danizmax/.cache exists? (and then, the subdirectory oneconf, and 583076aca003d434d603aa8000000008?) What's their persmission?

Thanks for the additional precision :)

Changed in oneconf (Ubuntu):
status: New → Incomplete
danizmax (danizmax) wrote :

It seems, that I've must have run the update when experimenting with sudo startx, since I have nvidia card which currently has problems running X server.

my permissions;

drwx------ 16 danizmax danizmax 4096 2011-08-26 09:24 .cache
drwxr-xr-x 3 root root 4096 2011-08-26 08:43 oneconf
drwxr-xr-x 2 root root 4096 2011-08-26 08:43 583076aca003d434d603aa8000000008

Didn't try to delete files owned by the root user, since I don't have working desktop at the moment and there is no way to test it anyways.

Didier Roche (didrocks) wrote :

Ah, that would make sense then :)
So, I prefer to let it crashing right now as you won't be able to save OneConf data otherwise once you are back to a working session.
Just remember to delete those 2 owned-root directory when it's the case.

I'll use this bug to remember I have to prevent saving data if root is the current effective euid in the user directory.

Thanks for your answer :)

summary: - oneconf-query crashed with IOError in update(): [Errno 13] Permission
- denied:
+ Don't let root save datas:oneconf-query crashed with IOError in
+ update(): [Errno 13] Permission denied:
u'/home/danizmax/.cache/oneconf/583076aca003d434d603aa8000000008/package_list_583076aca003d434d603aa8000000008'
summary: - Don't let root save datas:oneconf-query crashed with IOError in
+ Don't let root save datas: oneconf-query crashed with IOError in
update(): [Errno 13] Permission denied:
u'/home/danizmax/.cache/oneconf/583076aca003d434d603aa8000000008/package_list_583076aca003d434d603aa8000000008'
summary: - Don't let root save datas: oneconf-query crashed with IOError in
+ Don't let root save data: oneconf-query crashed with IOError in
update(): [Errno 13] Permission denied:
u'/home/danizmax/.cache/oneconf/583076aca003d434d603aa8000000008/package_list_583076aca003d434d603aa8000000008'
Changed in oneconf (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Low
assignee: nobody → Didier Roche (didrocks)
visibility: private → public
Didier Roche (didrocks) on 2012-01-05
Changed in oneconf (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oneconf - 0.2.6.8

---------------
oneconf (0.2.6.8) precise; urgency=low

  * New release:
    - ensure we keep staged pending action of the server told us the operation
      failed (LP: #932715)
    - preventing running as root (LP: #834458)
    - fix a typo when gsettings return null (LP: #871783)
    - oneconf-service crashed with UnboundLocalError in process_sync(): local
      variable 'packages_checksum' referenced before assignment (LP: #908759)
    - import the dbus exception at the right place (LP: #889867)
    - add a lot of tests
  * debian/control:
    - change python-gobject dep by python-gi
 -- Didier Roche <email address hidden> Wed, 15 Feb 2012 17:22:39 +0100

Changed in oneconf (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers